<nav #navbar class="navbar navbar-expand-lg navbar-transparent  navbar-absolute">
    <div class="container-fluid">
        <button mat-button class="navbar-toggler navbar-toggler-icon"  (click)="logout()" id="logout">
                        <i class="material-icons">exit_to_app</i>
                        <span jhiTranslate="global.menu.account.logout">Sign out</span>
        </button>
        <div class="navbar-wrapper">
            <div class="navbar-minimize">
                <button mat-raised-button class="btn btn-just-icon btn-white btn-fab btn-round" (click)="minimizeSidebar()">
                    <i class="material-icons text_align-center visible-on-sidebar-regular">more_vert</i>
                    <i class="material-icons design_bullet-list-67 visible-on-sidebar-mini">view_list</i>
                </button>
            </div>
            <a class="navbar-brand" href=""></a>
        </div>
        <button mat-button class="navbar-toggler btn-no-ripple" type="button" (click)="sidebarToggle()">
            <span class="sr-only">Toggle navigation</span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
            <span class="navbar-toggler-icon icon-bar"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="isAuthenticated()">
            <ul class="navbar-nav">
                <!--<li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{exact: true}">
                    <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
                        <span>
                            <i class="material-icons">dashboard</i>
                            <span jhiTranslate="global.menu.dashboard">Dashboard</span>
                        </span>
                    </a>
                </li>-->
                
	           <!-- <li ngbDropdown class="nav-item dropdown pointer" *ngIf="languages && languages.length > 1">
	                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
	                    <span>
	                        <i class="material-icons">language</i>
	                        <span jhiTranslate="global.menu.language">Language</span>
	                    </span>
	                </a>
	                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
	                    <li *ngFor="let language of languages">
	                        <a class="dropdown-item" [jhiActiveMenu]="language" href="javascript:void(0);" (click)="changeLanguage(language);collapseNavbar();">{{language | findLanguageFromKey}}</a>
	                    </li>
	                </ul>
	            </li>-->
                <li *ngSwitchCase="true" class="nav-item">
                    <a class="nav-link"  (click)="logout()" id="logout">
                        <i class="material-icons">exit_to_app</i>
                        <span jhiTranslate="global.menu.account.logout">Sign out</span>
                    </a>
                </li>
            </ul>
        </div>
    </div>
</nav>